@import "partials/colors";

.home-state {
	.game-link {
		font-size: 16px;

		position: fixed;
		z-index: 100000;
		right: -60px;
		bottom: 15px;

		display: block;

		height: 36px;
		padding: 10px 70px 10px 10px;

		transition: all 0.25s ease;

		opacity: 0.5;
		color: $white1;
		background: $blue1;
		&:hover {
			right: 0;

			height: 50px;
			padding: 17px 77px 17px 17px;

			opacity: 1;
		}
		div {
			font-size: 30px;
			line-height: 30px;

			position: absolute;
			z-index: 50;
			top: 0;
			right: 0;

			display: block;

			width: 60px;
			height: 36px;
			padding: 10px;

			transition: all 0.25s ease;

			background: $black1;
		}
		&:hover div {
			height: 50px;
		}
		&:before {
			position: absolute;
			top: 0;
			left: -25px;

			content: " ";

			border-right: 25px solid $blue1;
			border-bottom: 25px solid transparent;
		}
		&:after {
			position: absolute;
			bottom: 0;
			left: -25px;

			content: " ";

			border-top: 25px solid transparent;
			border-right: 25px solid $blue1;
		}
	}
	.column {
		padding: 1rem;
	}
	.ui.vertical.divider::after, .ui.vertical.divider::before {
		height: 100%;
	}
	.ui.query-results.segment {
		overflow: scroll;

		min-height: 50px;
		max-height: 250px;
		margin-top: 1rem;
		padding: 0;

		border-radius: 5px;
		background: rgba(255,255,255,0.25);
		.query-result {
			line-height: 30px;

			display: block;

			height: 50px;
			padding: 10px 20px;

			cursor: pointer;
			transition: background 0.25s ease;

			color: $blue1;
			&:hover {
				background: lighten($blue5, 0.2);
			}
			.lastname {
				font-weight: 900;
			}
			.firstname {
				font-weight: 700;
			}
			.position {
				float: right;

				color: $black2;
			}
		}
		.query-no-result {
			line-height: 30px;

			display: block;

			height: 50px;
			padding: 10px 20px;

			color: $black2;
		}
	}
	.category {
		h3 {
			padding: 0.5rem;
		}
		.ui.styled.accordion {
			.content {
				overflow: scroll;

				max-height: 250px;
				padding: 0;
			}
			.category-item {
				line-height: 30px;

				display: block;

				height: 50px;
				padding: 10px 20px;

				cursor: pointer;
				transition: background 0.25s ease;

				color: $blue1;
				&:hover {
					background: lighten($blue5, 0.2);
				}
				.lastname {
					font-weight: 900;
				}
				.firstname {
					font-weight: 700;
				}
			}
		}
	}
	.ui.grid.segment.announcements {
		margin-bottom: 25vh;
		.announcement {
			.title {
				font-size: 1.25rem;
				font-weight: 700;

				display: block;

				margin: 1rem 0 0;

				color: $blue1;
				&:hover {
					color: $blue2;
				}
			}
			.timestamp {
				font-size: 0.75rem;

				margin: 0 0 1rem;

				text-transform: uppercase;

				color: $black2;
			}
			.summary {
				margin: 0 0 1rem;
			}
		}
	}
}
